Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_hash_datum

## Name

librdf_new_hash_datum -- Constructor - Create a new hash datum object

## Synopsis

``librdf_hash_datum* `librdf_new_hash_datum`` (librdf_world * `world`, void * `data`, size_t `size`);`

## Arguments

`world`

  redland world object

`data`

  data to store

`size`

  size of data

## Return value

New librdf_hash_datum object or NULL on failure

<<< Previous | Home | Next >>>
librdf_finish_hash | Up | librdf_free_hash_datum